/** udp_dgram_sup.h				**/

/****************************************/
/*      Copyright (c) 1987-2008		*/
/*		by OPNET Technologies, Inc.		*/
/*       (A Delaware Corporation)      	*/
/*    7255 Woodmont Av., Suite 250     	*/
/*     Bethesda, MD 20814, U.S.A.       */
/*       All Rights Reserved.          	*/
/****************************************/

#ifndef _UDP_DGRAM_SUP_H_INCL_
#define _UDP_DGRAM_SUP_H_INCL_

/** Include directives.					**/
#include <opnet.h>

#if defined (__cplusplus)
extern "C" {
#endif

/*  Data structure for fields in the     */
/*  udp datagram.	                     */
typedef struct
    {
	int			src_port;
	int			src_minor_port;
	int			dest_port;
	int			length;
	int			checksum; 
	// lydick
	int			nc_value;
	int 		changed; 
    } UdpT_Dgram_Fields;


/*			Function Prototypes			*/

UdpT_Dgram_Fields*   	udp_dgram_fdstruct_create ();
UdpT_Dgram_Fields*   	udp_dgram_fdstruct_copy (UdpT_Dgram_Fields* pk_fd_ptr);
void        			udp_dgram_fdstruct_destroy (UdpT_Dgram_Fields* pk_fdstruct_ptr);
void					udp_dgram_fdstruct_print (UdpT_Dgram_Fields* pk_fdstruct_ptr);


#if defined (__cplusplus)
} /* end of 'extern "C" {' */
#endif

#endif

